/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * DoublesQuery.cpp
 *
 *  Created on: Oct 25, 2010
 *      Author: heber
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "Dialog.hpp"
#include "Actions/ValueStorage.hpp"


// Doubles Queries
Dialog::DoublesQuery::DoublesQuery(string title, std::string _description) :
    Query(title, _description)
{}

Dialog::DoublesQuery::~DoublesQuery() {};

void Dialog::DoublesQuery::setResult() {
  ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
}

